package t1ck.csv.btc

import widebase.db.table.Table

/** Filters BtC data.
 *
 * @author myst3r10n
 */
trait BtCFilter {

  /** Convert arbitrary timestamps into [[java.lang.Long]] and updates symbol table if necessary.
   *
   * @param symbol the symbol table to update
   *
   * @return filtered data
   */
  def apply(symbol: Table) =
    (values: Array[String]) => {

    values(0) = (values(0).toLong * 1000).toString

    widebase.csv.filter.symbol(symbol, 3)(values)

    values

  }
}

